Post EndUserFile
curl --request POST \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"file_base64": "<string>",
"filename": "<string>",
"file_class": "<string>",
"parent_file_heron_id": "<string>",
"reference_id": "<string>",
"trigger_downstream_processing": true
}
'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files"
payload = {
"file_base64": "<string>",
"filename": "<string>",
"file_class": "<string>",
"parent_file_heron_id": "<string>",
"reference_id": "<string>",
"trigger_downstream_processing": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_base64: '<string>',
filename: '<string>',
file_class: '<string>',
parent_file_heron_id: '<string>',
reference_id: '<string>',
trigger_downstream_processing: true
})
};
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"email": null,
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"parsed_results": [],
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}EndUserFiles
Post EndUserFile
deprecated
Deprecated — use Post EndUserFile V2 instead.
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
files
Post EndUserFile
Authorizations
Path Parameters
Body
application/json
Base64 encoded file bytes
Name of file
The type of file, e.g., bank_statement
The Heron ID of the parent file, if this file is a part of another file
Your reference id for file
Whether to trigger downstream processing (file classification, parsing, etc.) upon upload
Response
201 - application/json
OK
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I